package com.huimv.receive.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.receive.common.utils.Result;
import com.huimv.receive.entity.BillPcr;

import javax.servlet.http.HttpServletRequest;
import java.text.ParseException;
import java.util.Map;

/**
 * <p>
 * pcr 表 服务类
 * </p>
 *
 * @author author
 * @since 2023-07-21
 */
public interface IBillPcrService extends IService<BillPcr> {
    Result list(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listById(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result edit(HttpServletRequest httpServletRequest, Map<String, String> paramsMap) throws ParseException;
    Result listPersonalPcr(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);
}
